Access Token

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
POST /auth/sign_in.json

Retrieve an access token to authenticate future requests. Multi-factor authentication (MFA) is required for all users; include the MFA token in the request.

Then send the token on later requests with header X-TGP-ACCESS-TOKEN (or parameter access_token).

You can also view your access token in Textline under Settings → Tools & Integrations → Developer API.

application/json

Body

  • user object
    Hide user attributes Show user attributes object
    • email string Required
    • password string Required
  • api_key string Required
  • mfa_code string Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • mfa_verification_required string
    • email string
    • delivery_method string
    • alternate_methods object
      Hide alternate_methods attributes Show alternate_methods attributes object
      • email string
      • sms string
POST /auth/sign_in.json
curl \
 --request POST 'https://application.textline.com/auth/sign_in.json' \
 --header "Content-Type: application/json" \
 --data '{
  "user": {
    "email": "chuck@mycompany.com",
    "password": "mypassword"
  },
  "api_key": "8a877f7d-b482-4ad0-9a71-be08c9ae1fb4",
  "mfa_code": "654321"
}'
Request example
{
  "user": {
    "email": "chuck@mycompany.com",
    "password": "mypassword"
  },
  "api_key": "8a877f7d-b482-4ad0-9a71-be08c9ae1fb4",
  "mfa_code": "654321"
}
Response examples (200)
{
  "mfa_verification_required": "true",
  "email": "chuck@mycompany.com",
  "delivery_method": "app",
  "alternate_methods": {
    "email": "true",
    "sms": "true"
  }
}